Bug 856220 - Katello installer fails because Tomcat 6 is not up during seed
Katello installer fails because Tomcat 6 is not up during seed
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 09:31 EDT by Lukas Zapletal
Modified: 2014-01-27 09:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Katello installation fails when puppet use "restart" command instead of "start" and "stop" commands because the service-wait script ignored the "restart" command. This update implements the "restart" command into the service-wait wrapper script to prevent installation failure due to the "restart" command.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-09-11 09:31:14 EDT
Description of problem:

Katello installation sometimes fail, when puppet use "restart" command instead of "start" and "stop". Database seed fails with:

rake aborted!
Connection refused - connect(2)
/usr/lib/ruby/1.8/net/http.rb:560:in `initialize'
/usr/lib/ruby/1.8/net/http.rb:560:in `open'
/usr/lib/ruby/1.8/net/http.rb:560:in `connect'
/usr/lib/ruby/1.8/timeout.rb:67:in `timeout'

How reproducible:

SOMETIMES :-)

The fix is to implement "restart" in our service-wait wrapper script.
Comment 3 Lukas Zapletal 2012-09-11 10:47:34 EDT
https://github.com/Katello/katello/pull/631
Comment 4 Lukas Zapletal 2012-09-13 03:57:01 EDT
https://github.com/Katello/katello/pull/640
Comment 5 Lukas Zapletal 2012-09-13 10:55:45 EDT
For my information: MongoDB related bug is: https://bugzilla.redhat.com/show_bug.cgi?id=850570
Comment 12 Lukas Zapletal 2012-09-14 09:08:24 EDT
https://github.com/Katello/katello/pull/665
Comment 15 Og Maciel 2012-09-25 17:37:50 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-9.el6cf.noarch
* katello-all-1.1.12-9.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-5.el6cf.noarch
* katello-cli-common-1.1.8-5.el6cf.noarch
* katello-common-1.1.12-9.el6cf.noarch
* katello-configure-1.1.9-4.el6cf.noarch
* katello-glue-candlepin-1.1.12-9.el6cf.noarch
* katello-glue-pulp-1.1.12-9.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 17 errata-xmlrpc 2012-12-04 14:52:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.